export interface Pattern {
  id: string
  title: string
  description: string
  numberOfImplementations: number
  formalizations: Formalization[]
}

export interface CreatePatternRequest {
  title: string
  description: string
}

export interface Formalization {
  id: string
  name: string
  fileName: string
  url: string
}

export interface CreateFormalizationRequest {
  patternId: string
  name: string
  fileName: string
  file: File
}
